import std.stdio;

pure bool leapYear(uint y)
{
    return (y % 4) == 0 && (y % 100 || (y % 400) == 0);
}

pure uint daysInYear(uint y)
{
    return 365 + leapYear(y);
}

void main()
{
    writeln(daysInYear(2022));
}
